Skip to main content
POST
/
runs
Create run
curl --request POST \
  --url https://api.verial.ai/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "benchmark_id": "<string>",
  "environment_id": "<string>",
  "interfaces": [
    {
      "type": "<string>"
    }
  ]
}
'
{
  "id": "2023-11-07T05:31:56Z",
  "benchmark_id": "2023-11-07T05:31:56Z",
  "status": "<string>",
  "verdict": "<string>",
  "score": 123,
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}
Start a new run of a benchmark. Each task in the benchmark is executed against the configured environment, and results are evaluated against the task’s checks.

Authorizations

Authorization
string
header
required

API key passed as a Bearer token.

Body

application/json
benchmark_id
string
required
Minimum string length: 1
environment_id
string
Minimum string length: 1
interfaces
object[]

Response

Successful response

id
string<date-time>
required
benchmark_id
string<date-time>
required
status
string
required
verdict
string | null
required
score
number | null
required
started_at
string<date-time>
required
completed_at
string<date-time>
required